tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: enforcing pkgsrc/category/$PKGBASE

On Wed, Feb 18, 2009 at 06:16:24PM +0000, David Brownlee wrote:
>       Wouldn't it be nice if each package was always in a directory
>       which matched the $PKGBASE.

category/$PKGBASE doesn't work as soon as you want to allow people to
override packages locally and for that reason the DEPENDS simplification
can't really happen either (at least not in that way without some
additional magic).

>         The flies in this proposed ointment are:
>             a) *-devel packages which provider newer compatible versions
>                of a base package
>             b) ap2?-* packages which can generate apache 1.x 2.0 or 2.2
>                packages
>             c) py-* packages, which generate different output packages
>                based on the version of python installed

d) PHP packages.
e) Add more frameworks that could use this here like Emacs.


Home | Main Index | Thread Index | Old Index